//
//  ViewController.m
//  苹果输入密码
//
//  Created by xiexufeng on 16/7/7.
//  Copyright © 2016年 xiexufeng. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()<UITextFieldDelegate>
@property (nonatomic,assign) NSInteger count;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.count = 6;
    [self.hiddenTextField becomeFirstResponder];
    // Do any additional setup after loading the view, typically from a nib.
}

- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string{
    
    NSString *new = [textField.text stringByReplacingCharactersInRange:range withString:string];
    NSInteger maxNumber = 5;
    NSInteger res = maxNumber-[new length];
    if(res >= 0){
        
        if (self.count > res) {
            UIImageView *imageView = [self.view viewWithTag:5-res];
            imageView.image = [UIImage imageNamed:@"1.jpg"];
        }else{
            UIImageView *imageView = [self.view viewWithTag:5-self.count];
            imageView.image = [UIImage imageNamed:@"Rectangle 1824 Copy 3.png"];
        }
        NSLog(@"我在输入");
        self.count = res;
        return YES;
    }
    else{
        return NO;
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
